## javax.persistence
Class RollbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.RollbackException

All Implemented Interfaces:
  java.io.Serializable

    public class RollbackException

extends PersistenceException

See Also:
  Serialized Form

Constructor Summary
`RollbackException()`
`RollbackException(java.lang.String message)`
`RollbackException(java.lang.String message, java.lang.Throwable cause)`
`RollbackException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RollbackException

    public RollbackException()

### RollbackException

    public RollbackException(java.lang.String message)

### RollbackException

    public RollbackException(java.lang.String message,
                             java.lang.Throwable cause)

### RollbackException

    public RollbackException(java.lang.Throwable cause)